IResponseResolver (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Interface IResponseResolver<T>

All Known Implementing Classes:
  AbstractRowResolver, RangeSliceResponseResolver, RowDigestResolver, RowRepairResolver

    public interface IResponseResolver<T>

Method Summary
`T` | `getData()` returns the data response without comparing with any digests
`int` | `getMaxLiveColumns()`
`java.lang.Iterable<Message>` | `getMessages()`
`boolean` | `isDataPresent()`
`void` | `preprocess(Message message)`
`T` | `resolve()` This Method resolves the responses that are passed in .

Method Detail

### resolve

    T resolve()
              throws DigestMismatchException,
                     java.io.IOException

  This Method resolves the responses that are passed in . for example : if its write response then all we get is true or false return values which implies if the writes were successful but for reads its more complicated you need to look at the responses and then based on differences schedule repairs . Hence you need to derive a response resolver based on your needs from this interface.

  Throws:
    `DigestMismatchException`
    `java.io.IOException`

### isDataPresent

    boolean isDataPresent()

### getData

    T getData()
              throws java.io.IOException

  returns the data response without comparing with any digests

  Throws:
    `java.io.IOException`

### preprocess

    void preprocess(Message message)

### getMessages

    java.lang.Iterable<Message> getMessages()

### getMaxLiveColumns

    int getMaxLiveColumns()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation